package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.BmProjectLot;
import com.bonus.sgzb.base.domain.vo.BmProjectLotImport;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmProjectLotMapper {
    public List<BmProjectLot> getProjectLotAll(BmProjectLot bmProjectLot);

    public List<BmProjectLot> getProjectLot(BmProjectLot bmProjectLot);

    public int projectLotAdd(BmProjectLot bmProjectLot);

    public void remove(Long[] proIds);

    public int updateBmProjectLot(BmProjectLot bmProjectLot);

    public int deleteProjectLotById(Long lotId);

    BmProjectLot selectByName(String lotName);

    void projectLotImport(BmProjectLotImport bmProjectLotImport);
}
